## libkml 1.3.0~rc0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(LibKML)

set(VERSION_MAJOR "1")
set(VERSION_MINOR "3")
set(VERSION_PATCH "0")
set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

option(BUILD_TESTING  "Build testing." OFF)
option(BUILD_EXAMPLES  "Build examples." OFF)
option(INSTALL_EXAMPLES   "Install examples sources and executables" OFF)
option(BUILD_SHARED_LIBS  "Build shared libs." ON)

option(WITH_SWIG   "Build all swig bindings"   ON)
option(WITH_PYTHON "Build python bindings" ON)
option(WITH_JAVA   "Build java bindings"   ON)

set(LIBKML_DATA_DIR  ${CMAKE_SOURCE_DIR}/testdata CACHE "Directory containing test data" PATH)

#AM_CXXFLAGS = -Wall -Wextra -Wno-unused-parameter -pedantic -fno-rtti
#AM_TEST_CXXFLAGS = -Wall -Wextra -Wno-unused-parameter -Werror -fno-rtti -DGTEST_HAS_RTTI=0
if(CMAKE_COMPILER_IS_GNUCXX)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -pedantic -fno-rtti")
set(TEST_FLAGS "-Wall -Wextra -Wno-unused-parameter -fno-rtti -DGTEST_HAS_RTTI=0")
endif()

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

if(NOT DEFINED BIN_INSTALL_DIR)
  set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
endif(NOT DEFINED BIN_INSTALL_DIR)
if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif(NOT DEFINED LIB_INSTALL_DIR)
if(NOT DEFINED DATA_INSTALL_DIR)
  set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share")
endif(NOT DEFINED DATA_INSTALL_DIR)
if(NOT DEFINED INCLUDE_INSTALL_DIR)
  set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/kml")
endif(NOT DEFINED INCLUDE_INSTALL_DIR)
if(NOT DEFINED MAN_INSTALL_DIR)
  set(MAN_INSTALL_DIR "${DATA_INSTALL_DIR}/man")
endif(NOT DEFINED MAN_INSTALL_DIR)
if(NOT DEFINED RESOURCE_INSTALL_DIR)
  set(RESOURCE_INSTALL_DIR "${DATA_INSTALL_DIR}/libkml${VERSION_MAJOR}/resource/")
endif(NOT DEFINED RESOURCE_INSTALL_DIR)
if(NOT DEFINED LOCALE_INSTALL_DIR)
  set(LOCALE_INSTALL_DIR "${DATA_INSTALL_DIR}/locale/")
endif(NOT DEFINED LOCALE_INSTALL_DIR)
if(NOT DEFINED JAVA_INSTALL_DIR)
  set(JAVA_INSTALL_DIR "${DATA_INSTALL_DIR}/java")
endif(NOT DEFINED JAVA_INSTALL_DIR)

# Path to additional CMake modules
set(CMAKE_MODULE_PATH
    ${CMAKE_SOURCE_DIR}/cmake
    ${CMAKE_MODULE_PATH})

include(LibKMLHelper)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release")
endif()

include(ExternalProject)

if(NOT INSTALL_DIR)
  set(INSTALL_DIR "${CMAKE_INSTALL_PREFIX}" CACHE "install directory " PATH)
endif()

set(KMLBASE_LINK_LIBS "" CACHE INTERNAL "KMLBASE_LINK_LIBS")
set(KMLBASE_DEPENDS "" CACHE INTERNAL "KMLBASE_DEPENDS")
set(MINIZIP_DEPENDS "" CACHE INTERNAL "MINIZIP_DEPENDS")

find_package(EXPAT)
if(EXPAT_FOUND)
  include_directories(${EXPAT_INCLUDE_DIR})
else()
  include(External_expat)
  list(APPEND KMLBASE_DEPENDS EXPAT)
endif()

find_package(ZLIB 1.2.8)
if(ZLIB_FOUND)
  include_directories(${ZLIB_INCLUDE_DIR})
else()
  include(External_zlib)
  list(APPEND KMLBASE_DEPENDS ZLIB)
  list(APPEND MINIZIP_DEPENDS ZLIB)
endif()

find_package(MiniZip)
if(MINIZIP_FOUND)
  include_directories(${MINIZIP_INCLUDE_DIR})
else()
  include(External_minizip)
  list(APPEND KMLBASE_DEPENDS MINIZIP)
endif()

find_package(UriParser)
if(URIPARSER_FOUND)
  include_directories(${URIPARSER_INCLUDE_DIR})
else()
  include(External_uriparser)
  list(APPEND KMLBASE_DEPENDS URIPARSER)
endif()

find_package(Boost)
if(Boost_FOUND)
  message(STATUS "Found Boost: ${Boost_VERSION}")
else()
  include(External_boost)
  list(APPEND KMLBASE_DEPENDS BOOST)
  message(STATUS "Found Boost includes: ${Boost_INCLUDE_DIRS}")
endif()

include_directories(${Boost_INCLUDE_DIRS})

list(APPEND KMLBASE_LINK_LIBS ${EXPAT_LIBRARY})
list(APPEND KMLBASE_LINK_LIBS ${ZLIB_LIBRARY})
list(APPEND KMLBASE_LINK_LIBS ${MINIZIP_LIBRARY})
list(APPEND KMLBASE_LINK_LIBS ${URIPARSER_LIBRARY})

include_directories(${CMAKE_SOURCE_DIR}/src)

add_subdirectory(src)

configure_file("${CMAKE_SOURCE_DIR}/cmake/libkml.pc.in"
  "${CMAKE_BINARY_DIR}/libkml.pc" @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/libkml.pc
   DESTINATION ${DATA_INSTALL_DIR})

if(BUILD_TESTING)
  enable_testing()
  find_package(GoogleTest REQUIRED)
  include_directories(${GTEST_INCLUDE_DIR})
  include_directories(${CMAKE_SOURCE_DIR}/tests)
  add_definitions("-DDATADIR=\"${LIBKML_DATA_DIR}\"")
  add_subdirectory(tests)
endif()

if(BUILD_EXAMPLES)
  add_subdirectory(examples)
endif()

=== src/CMakeLists.txt ===
add_subdirectory(kml)
if(WITH_SWIG)
add_subdirectory(swig)
endif()

=== src/kml/CMakeLists.txt ===
add_subdirectory(base)
add_subdirectory(dom)
add_subdirectory(xsd)
add_subdirectory(engine)
add_subdirectory(convenience)
add_subdirectory(regionator)


install(  FILES dom.h engine.h
          DESTINATION ${INCLUDE_INSTALL_DIR}
          COMPONENT Development)

=== src/swig/CMakeLists.txt ===
find_package(SWIG REQUIRED)
include(${SWIG_USE_FILE})

if(WITH_PYTHON)
  find_package(PythonLibs REQUIRED)
  if(NOT PYTHONLIBS_FOUND)
    message(FATAL_ERROR "Python Libraries not found.")
  endif()

  find_package(PythonInterp REQUIRED)

  include_directories(${PYTHON_INCLUDE_PATH})

  if(NOT DEFINED PYTHON_INSTALL_DIR)
    execute_process(COMMAND
      ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(True)"
      OUTPUT_VARIABLE PYTHON_INSTALL_DIR
      OUTPUT_STRIP_TRAILING_WHITESPACE )
  endif(NOT DEFINED PYTHON_INSTALL_DIR)

  file(GLOB IFILES "kml*.i")
  foreach(INTERFACE_FILE ${IFILES})
    get_filename_component(MODULE_NAME ${INTERFACE_FILE} NAME_WE)
    set_source_files_properties(${INTERFACE_FILE} PROPERTIES CPLUSPLUS ON )
    set_source_files_properties(${INTERFACE_FILE} PROPERTIES CMAKE_SWIG_FLAGS "-includeall -DSWIGPYTHON")
    set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}PYTHON_wrap.cxx COMPILE_FLAGS "-Wno-long-long" )
    swig_add_module(${MODULE_NAME} python ${INTERFACE_FILE})
    swig_link_libraries(${MODULE_NAME} kmlbase kmlengine kmldom ${PYTHON_LIBRARIES})
    add_custom_command(
      TARGET _${MODULE_NAME}
      POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E echo "Byte-compiling ${MODULE_NAME}.py"
      COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/cmake/pycompile.py ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}.py
      DEPENDS kmlbase kmlengine kmldom)

    install(TARGETS
      _${MODULE_NAME}
      DESTINATION ${PYTHON_INSTALL_DIR})

    install(FILES
      ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}.py
      ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}.pyc
      DESTINATION ${PYTHON_INSTALL_DIR})

  endforeach()

endif(WITH_PYTHON)

if(WITH_JAVA)
  find_package(Java REQUIRED)
  find_package(JNI REQUIRED)
  mark_as_advanced(JAVA_HOME)

  include_directories(${JAVA_INCLUDE_PATH}
    ${JNI_INCLUDE_DIRS})
  include_directories ( ${JAVA_INCLUDE_PATH} ${JNI_INCLUDE_DIRS} )

  # Make sure the nested directory structure exists
  set(JAVA_SOURCE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/com/googlecode/libkml)
  set(JAVA_BINARY_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/build)
  if(NOT EXISTS "${JAVA_SOURCE_DIRECTORY}")
    file(MAKE_DIRECTORY ${JAVA_SOURCE_DIRECTORY})
  endif()
  if(NOT EXISTS "${JAVA_BINARY_DIRECTORY}")
    file(MAKE_DIRECTORY ${JAVA_BINARY_DIRECTORY})
  endif()
  #  java_package_dir = com/googlecode/libkml
  file(GLOB IFILES "kml*.i")
  set(LIBKML_JAVA_PACKAGE "com.googlecode.libkml")
  set(CMAKE_SWIG_OUTDIR ${JAVA_SOURCE_DIRECTORY})
  set(CMAKE_SWIG_FLAGS -package "${LIBKML_JAVA_PACKAGE}" ${CMAKE_SWIG_GLOBAL_FLAGS})

  foreach(INTERFACE_FILE ${IFILES})
    get_filename_component(MODULE_NAME ${INTERFACE_FILE} NAME_WE)
    set_source_files_properties(${INTERFACE_FILE} PROPERTIES CPLUSPLUS ON)
    set_source_files_properties(${INTERFACE_FILE} PROPERTIES CMAKE_SWIG_FLAGS "-includeall  -DSWIGJAVA")
    set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}JAVA_wrap.cxx COMPILE_FLAGS "-w")
    swig_add_module(${MODULE_NAME}_swig_java java ${INTERFACE_FILE})
    swig_link_libraries(${MODULE_NAME}_swig_java ${MODULE_NAME})
    install(TARGETS ${MODULE_NAME}_swig_java DESTINATION ${JAVA_INSTALL_DIR})

  endforeach()

  add_custom_target(LibKML_jar ALL DEPENDS LibKML.jar)

  add_custom_command(
    OUTPUT LibKML.jar
    COMMENT "Creating jar file..."
    COMMAND ${Java_JAVAC_EXECUTABLE} -d ${JAVA_BINARY_DIRECTORY} ${JAVA_SOURCE_DIRECTORY}/*.java
    COMMAND ${Java_JAR_EXECUTABLE} cf ${CMAKE_CURRENT_BINARY_DIR}/LibKML.jar -C ${JAVA_BINARY_DIRECTORY} com
    DEPENDS LibKML_jar kmlbase_swig_java kmldom_swig_java kmlengine_swig_java)

   # Get the location of the extension directory
   string(REGEX REPLACE "include"  "jre/lib/ext" JAVA_EXTENSION_DIR ${JAVA_INCLUDE_PATH})

   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibKML.jar
     DESTINATION ${JAVA_INSTALL_DIR})

endif(WITH_JAVA)

=== src/kml/dom/CMakeLists.txt ===
file(GLOB SRCS "*.cc" )
file(GLOB INCS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")

build_target(
  NAME kmldom
  SRCS ${SRCS}
  INCS ${INCS}  
  DEPENDS kmlbase)

## libkml 1.3.0~r863

=== debian/changelog ===
libkml (1.3.0~r863-3) unstable; urgency=low

  * Added swig patch to remove a wrong swig version test.
    (closes: #634528)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Jul 2011 11:07:30 +0200

libkml (1.3.0~r863-2) unstable; urgency=low

  * New patch geometry_test.diff to remove another failing test.
    (closes: #626259)
  * Policy bumped to 3.9.2, no changes needed.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 08 Jun 2011 11:19:48 +0200

libkml (1.3.0~r863-1) unstable; urgency=low

  * New upstream snapshot for 1.3 series, as taken from svn.
  * Patchset updated for current release.
  * New patch feature_view_test.diff to remove a failing test.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Mar 2011 16:41:45 +0200

libkml (1.2.0-2) unstable; urgency=low

  * Moved to git repository and changed Vcs-* fields in debian/control.
  * Changed to debian source 3.0.
  * Debhelper level set to 8.
  * Wrapped debian/changelog to 80 chars.
  * New patch ld-as-needed.diff: it fixes FTBS when --as-needed is used at 
    linking time.
    (closes: #605889)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Mar 2011 21:17:35 +0100

libkml (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated automake.diff and reautoconfiscated patches to reflect changes
    in building scripts. Note that boost is still embedded with old 
    version 1.34.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 25 Jun 2010 11:42:15 +0200

libkml (1.1.0-1) unstable; urgency=low

  * New upstream release:
      o In-memory KMZ read support.
      o Initial Google Maps Data API support.
      o Various security fixes, particularly in the underlying Zip library.
  * Patches refreshed: reautoconfiscated.diff and automake.diff.
  * NMU ack: incorporate patch from Jakub Wilk to enable building with Python 2.6. 
    (closes: #557288)
  * Added original copyright from zlib to debian/copyright as originally asked
    by ftpmasters.
  * Added kfreebsd.diff top patch to manage GNU/kFreeBSD flavor.
    (closes: #558208)
  * Fixed patch ordering.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 10 Dec 2009 17:30:39 +0100

libkml (1.0.1-3) unstable; urgency=high

  * Added clone.diff patch to use __clone2() instead of clone() on ia64.
    This patch solves a FTBS on ia64.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 27 Oct 2009 12:24:40 +0100

libkml (1.0.1-2) unstable; urgency=low

  * Added python version overriding at build/installation time.
    (closes: #550310)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 13 Oct 2009 14:04:45 +0200

libkml (1.0.1-1) unstable; urgency=low

  * Initial release.
    (closes: #548720)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Sep 2009 11:15:17 +0200

=== debian/control ===
Source: libkml
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: cdbs, debhelper (>= 8), autotools-dev, libexpat1-dev, zlib1g-dev, default-jdk,
 python-dev, python-all-dev, liburiparser-dev (>= 0.7.1), chrpath,
 libcurl4-openssl-dev, swig, python-central
XS-Python-Version: >= 2.5
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/libkml/
Vcs-Git: git://git.debian.org/git/pkg-grass/libkml.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/libkml.git

Package: libkml0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A library to manipulate KML 2.2 OGC standard files
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains the basic shared libraries for applications 
 that use the KML format.

Package: libkml-dev
Architecture: any
Section: libdevel
Depends: libkml0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: A library to manipulate KML 2.2 OGC standard files - development files
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains files required to build C/C++ programs which use
 the KML library.

Package: libkml-java
Architecture: any
Section: java
Depends: libkml0 (= ${binary:Version}), default-jre, ${shlibs:Depends}, ${misc:Depends}
Description: A library to manipulate KML 2.2 OGC standard files - Java package
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains the required packages for Java applications.

Package: python-kml
Architecture: any
Section: python
Depends: libkml0 (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: A library to manipulate KML 2.2 OGC standard files - Python extension
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains required extensions for Python applications.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral
PY_VERSIONS = $(shell pyversions --requested debian/control)

JAVA_HOME = /usr/lib/jvm/default-java

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-systempython --with-java-include-dir=$(JAVA_HOME)/include
DEB_MAKE_CHECK_TARGET = check

DEB_BUILDDIR := build

# These targets do allow building multiple Python versions extensions
# when autoconf is used - as in this case - instead of Distutils.

configure/python-kml:: $(addprefix configure-stamp-, $(PY_VERSIONS))

configure-stamp-%:
	mkdir build-$*
	cd build-$* && PYTHON=`which $*` $(DEB_CONFIGURE_SCRIPT_ENV) \
			$(DEB_CONFIGURE_SCRIPT) \
			$(DEB_CONFIGURE_NORMAL_ARGS) \
			--disable-maintainer-mode \
			$(cdbs_configure_flags) \
			$(DEB_CONFIGURE_EXTRA_FLAGS) \
			$(DEB_CONFIGURE_USER_FLAGS)
	touch $@

build-stamp-%:
	$(MAKE) -C build-$* PYTHON=`which $*`
	touch $@

build/python-kml:: $(addprefix build-stamp-, $(PY_VERSIONS))

install-stamp-%:
	$(MAKE) -C build-$* PYTHON=`which $*` DESTDIR=$(CURDIR)/debian/tmp install
	touch $@

install/python-kml:: $(addprefix install-stamp-, $(PY_VERSIONS))

binary-install/python-kml:: install/python-kml
	# removes build-time rpaths
	for version in $(PY_VERSIONS); \
	do \
		chrpath --delete $(CURDIR)/debian/python-kml/usr/lib/$$version/*-packages/*.so ; \
	done
	dh_pycentral -ppython-kml

binary-install/libkml-dev::
	# removes autotools stuff
	find $(CURDIR)/debian/libkml-dev/usr/share/doc/libkml-dev/examples -type f -name "Makefile.*" -delete
	# removes python related stuff
	find $(CURDIR)/debian/libkml-dev/usr/lib -name "libkml*python*.so*" -delete

clean::
	-rm -rf $(addprefix build-, $(PY_VERSIONS))
	-rm -rf $(addprefix configure-stamp-, $(PY_VERSIONS))
	-rm -rf $(addprefix build-stamp-, $(PY_VERSIONS))
	-rm -rf $(addprefix install-stamp-, $(PY_VERSIONS))

## libkml 1.3.0~r864

=== debian/changelog ===
libkml (1.3.0~r864-2) unstable; urgency=low

  * No Multi-Arch: same for java package, jar contains SWIG generated code.
    (closes: #728785)
  * Change Priority to optional.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 10 Nov 2013 01:40:38 +0100

libkml (1.3.0~r864-1) unstable; urgency=low

  * Merge upstream commit r864:
    Allow colors to have leading whitespace, with or without '#'.
  * Add myself to Uploaders.
  * Update swig.diff to also disable the SWIG version check in configure.ac.
    Thanks Ilya Barygin for the patch.
  * Update ld-as-needed.diff to fix FTBFS with --as-needed.
    Thanks Ilya Barygin for the patch.
    (closes: #692055)
  * Add hurd.diff to fix FTBFS on hurd-i386.
    Thanks Pino Toscano for the patch.
    (closes: #671894)
  * Refresh patches.
  * Use canonical URLs for Vcs-* fields.
  * Don't start short description with an article.
  * Drop XB-Python-Version from control file.
  * Add a watch file.
  * Add patch to fix executable-not-elf-or-script for java run.sh example.
  * Add lintian override for no fortify functions false positive.
  * Drop needless dependency on default-jre for libkml-java.
  * Move .so symlinks from java packages to libkml-dev.
  * Update copyright file using copyright-format 1.0.
  * Add lintian override for source-contains-prebuilt-windows-binary.
  * Use minimal dh rules, handle Multi-Arch paths.
  * Use dh-autoreconf for retooling.
  * Add patch to set subdir-objects automake option for forward compatibility.
  * Add patch to fix linking libtool libraries using a non-POSIX archiver.
  * Add patch to not build examples, msvc and xcode subprojects.
  * Add lintian override for incompatible-java-bytecode-format.
  * Add patch headers for all patches.
  * Bump Standards-Version to 3.9.4, changes: Vcs-* fields, copyright,
    minimal dh rules.
  * Build depend on libcurl4-gnutls-dev instead of libcurl4-openssl-dev.
  * Also install libminizip headers.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 05 Oct 2013 21:15:09 +0200

libkml (1.3.0~r863-4.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 07:59:06 +0200

libkml (1.3.0~r863-4) unstable; urgency=low

  * Added liburiparser-dev to libkml-dev.
  * Moved to dh_python2 instead of python-central.
  * Policy bumped to 3.9.3, no changes required.
  * Debhelper level set to 9.
  * Refreshed reautoconfiscated.diff to remove a backup file. Thanks doko.
    (closes: #650525)
  * The ld-as-needed case has been already managed.
    (closes: #641681)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Mar 2012 13:29:51 +0100

=== debian/control ===
Source: libkml
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libexpat1-dev,
               zlib1g-dev,
               default-jdk,
               python-dev (>=  2.6.6-3~),
               python-all-dev (>=  2.6.6-3~),
               liburiparser-dev (>= 0.7.1),
               chrpath,
               libcurl4-gnutls-dev,
               swig,
               dh-autoreconf
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/libkml.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/libkml.git
Homepage: http://code.google.com/p/libkml/
X-Python-Version: 2.7

Package: libkml0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to manipulate KML 2.2 OGC standard files
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains the basic shared libraries for applications 
 that use the KML format.

Package: libkml-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkml0 (= ${binary:Version}),
         liburiparser-dev (>= 0.7.1),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Library to manipulate KML 2.2 OGC standard files - development files
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains files required to build C/C++ programs which use
 the KML library.

Package: libkml-java
Architecture: any
Section: java
Depends: libkml0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Library to manipulate KML 2.2 OGC standard files - Java package
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains the required packages for Java applications.

Package: python-kml
Architecture: any
Section: python
Depends: libkml0 (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Library to manipulate KML 2.2 OGC standard files - Python extension
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains required extensions for Python applications.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

DEB_CONFIGURE_EXTRA_FLAGS = --enable-systempython --with-java-include-dir=$(JAVA_HOME)/include

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_install:
	dh_auto_install

	# Strip RPATH
	chrpath --delete $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/*.so

	# Remove autotools stuff
	find $(CURDIR)/examples/ -type f -name "Makefile*" -delete

	# Remove python swig
	find $(CURDIR)/debian/tmp/usr/lib -name "libkml*python*.so*" -delete

	# Remove la files
	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -delete

	# Move libraries from libkml subdirectory
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libkml/* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

	# libminizip headers
	install -m755 -d $(CURDIR)/debian/tmp/usr/include/minizip
	install -m644 $(CURDIR)/third_party/zlib-*/contrib/minizip/*h $(CURDIR)/debian/tmp/usr/include/minizip/

override_dh_install:
	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xpython-kml

override_dh_python:
	dh_python2 -ppython-kml

=== debian/watch ===
version=3

# official tarball releases
#
#opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
#https://code.google.com/p/libkml/downloads/list?can=1 \
#(?:.*/)?(?:rel|v|libkml)[\-\_](\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# subversion revisions
#
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/^\d+$/1.3.0~r$&/" \
https://code.google.com/p/libkml/source/list \
(?:.*/)?detail\?r=(\d+)

## libkml 1.3.0~r864+dfsg

=== debian/changelog ===
libkml (1.3.0~r864+dfsg-1) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes required.
  * Repack upstream tarball removing the IETF RFCs included by thirdparty
    uriparser documentation.
    (closes: #745403)
  * Add gbp.conf to use pristine-tar by default.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 22 Apr 2014 15:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libcurl4-gnutls-dev,
                swig,
                dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/libkml.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/libkml.git
 Homepage: http://code.google.com/p/libkml/

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with autoreconf,python2
+	dh $@ --with autoreconf,python2 --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
@@ -43,3 +43,6 @@
 override_dh_python:
 	dh_python2 -ppython-kml
 
+get-orig-source:
+	. debian/get-orig-source
+

=== debian/watch ===
version=3

# official tarball releases
#
#opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
#https://code.google.com/p/libkml/downloads/list?can=1 \
#(?:.*/)?(?:rel|v|libkml)[\-\_](\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
#debian get-orig-source

# subversion revisions
#
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/^\d+$/1.3.0~r$&/" \
https://code.google.com/p/libkml/source/list \
(?:.*/)?detail\?r=(\d+) \
debian get-orig-source

## libkml 1.3.0~rc0

=== debian/changelog ===
libkml (1.3.0~rc0-3) unstable; urgency=medium

  * Add required build dependencies to libkml-dev dependencies:
    libboost-dev, libexpat1-dev & zlib1g-dev in addition to
    libminizip-dev & liburiparser-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Aug 2015 16:17:37 +0200

libkml (1.3.0~rc0-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 13:12:41 +0200

libkml (1.3.0~rc0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Aug 2015 14:27:03 +0200

libkml (1.3.0~rc0-1~exp2) experimental; urgency=medium

  * Update symbols for other architectures.
  * Use uscan instead of custom script in get-orig-source target.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2015 13:57:01 +0200

libkml (1.3.0~rc0-1~exp1) experimental; urgency=medium

  * Update watch file to support pre-releases.
  * New upstream release candidate.
  * Drop patches, applied upstream.
  * Update symbols for amd64.
  * Add patch to fix pkgconfig install path.
  * Include libkml.pc in libkml-dev.
  * Add patch to fix SWIG Java library install path.
  * Include SWIG Java libraries in libkml-java.
  * Add patch to install the SWIG Java libraries in a JNI specific path.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Aug 2015 17:42:39 +0200

libkml (1.3.0~r864+git20150726-3f3f37f-1~exp3) experimental; urgency=medium

  * Update symbols for other architectures.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jul 2015 18:38:02 +0200

libkml (1.3.0~r864+git20150726-3f3f37f-1~exp2) experimental; urgency=medium

  * Don't excluded python-kml from dh_makeshlibs.
  * Fix python-kml shlibs dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 01:22:53 +0200

libkml (1.3.0~r864+git20150726-3f3f37f-1~exp1) experimental; urgency=medium

  * New upstream git snapshot.
    - Re-enable swig bindings
  * Drop patches applied upstream.
  * Add path to fix Python library installation path.
  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 00:06:36 +0200

libkml (1.3.0~r864+git20150723-0fa2f22-1~exp2) experimental; urgency=medium

  * Update install-paths.patch with upstream changes to fix header installation.
  * Don't include build files for examples.
  * Install docs in all packages.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2015 01:33:34 +0200

libkml (1.3.0~r864+git20150723-0fa2f22-1~exp1) experimental; urgency=medium

  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Change upstream from google to libkml on GitHub.
  * New upstream git snapshot.
  * Drop Files-Excluded from copyright & repacksuffix from watch file,
    third party sources no longer included.
  * Switch build system from autotools to cmake.
  * Drop automake related patches, refresh remaining patch.
  * Add patch to fix FTBFS due to ; separated compiler flags.
  * Add patch to fix SOVERSION from MAJOR.MINOR to MARJOR.
  * Rename library package to incorporate SONAME bump.
  * Add patch to support Multi-Arch library install path.
  * Update docs for README.md rename.
  * Update copyright file, drop removed third party license & copyright.
  * Drop libkml-java & python-kml packages, swig bindings no longer build.
  * Split libkml into separate packages per library,
    add symbols files with pkgkde-symbolshelper.
  * Add explicit build dependencies on GCC 5.2.
  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 21:27:26 +0200

libkml (1.3.0~r864+git20131113-9b50572+dfsg1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 11:24:49 +0200

libkml (1.3.0~r864+git20131113-9b50572+dfsg1-1~exp1) experimental; urgency=medium

  * Switch upstream source from code.google.com to GitHub.
  * Merge changes from upstream git repository.
  * Update copyright file, changes:
    - Replace third_party/googletest-r108 with third_party/gtest-1.7.0
    - Drop config/ltmain.sh, removed upstream
    - Group Boost copyright statements by license
    - Group zlib copyright statments by license
    - Use GPL-{2,3}+ instead of SPDX short name with .0.
  * Update patches for upstream changes.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add dh-python to build dependencies.
  * Also exclude useless prebuilt Windows binaries from upstream source.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Mar 2015 01:42:43 +0100

=== debian/control ===
Source: libkml
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               cmake,
               default-jdk,
               g++ (>= 4:5-0),
               g++-5 (>= 5.2.1-10),
               libboost-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libexpat1-dev,
               libminizip-dev,
               liburiparser-dev (>= 0.7.1),
               pkg-kde-tools,
               python-dev (>= 2.6.6-3~),
               python-all-dev (>= 2.6.6-3~),
               swig,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/libkml.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/libkml.git
Homepage: https://github.com/libkml/libkml
X-Python-Version: 2.7

Package: libkmlbase1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlbase
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlbase shared library.

Package: libkmlconvenience1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlconvenience
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlconvenience shared library.

Package: libkmldom1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmldom
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmldom shared library.

Package: libkmlengine1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlengine
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlengine shared library.

Package: libkmlregionator1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlregionator
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlregionator shared library.

Package: libkmlxsd1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlxsd
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlxsd shared library.

Package: libkml-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkmlbase1 (= ${binary:Version}),
         libkmlconvenience1 (= ${binary:Version}),
         libkmldom1 (= ${binary:Version}),
         libkmlengine1 (= ${binary:Version}),
         libkmlregionator1 (= ${binary:Version}),
         libkmlxsd1 (= ${binary:Version}),
         libminizip-dev,
         liburiparser-dev (>= 0.7.1),
         libboost-dev,
         libexpat1-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: Library to manipulate KML 2.2 OGC standard files - development files
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains files required to build C/C++ programs which use
 the KML library.


Package: libkml-java
Architecture: any
Section: java
Depends: libkmlbase1 (= ${binary:Version}),
         libkmlconvenience1 (= ${binary:Version}),
         libkmldom1 (= ${binary:Version}),
         libkmlengine1 (= ${binary:Version}),
         libkmlregionator1 (= ${binary:Version}),
         libkmlxsd1 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${shlibs:Depends},
             ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - Java package
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the required packages for Java applications.

Package: python-kml
Architecture: any
Section: python
Depends: libkmlbase1 (= ${binary:Version}),
         libkmlconvenience1 (= ${binary:Version}),
         libkmldom1 (= ${binary:Version}),
         libkmlengine1 (= ${binary:Version}),
         libkmlregionator1 (= ${binary:Version}),
         libkmlxsd1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Description: Library to manipulate KML 2.2 OGC standard files - Python extension
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains required extensions for Python applications.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

%:
	dh $@ --with python2,pkgkde_symbolshelper --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DBUILD_TESTING=OFF \
		-DBUILD_EXAMPLES=OFF \
		-DINSTALL_EXAMPLES=OFF \
		-DWITH_SWIG=ON \
		-DWITH_PYTHON=ON \
		-DWITH_JAVA=ON \

override_dh_auto_install:
	dh_auto_install

	# Remove autotools stuff
	find $(CURDIR)/examples/ -type f -name "Makefile*" -or -name "CMakeLists.txt" -delete

override_dh_install:
	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

override_dh_python:
	dh_python2 -ppython-kml

get-orig-source:
	uscan --verbose --force-download
